Skip to main content
GET
/
stakers
/
{address}
/
withdrawals
/
queued_withdrawable
Retrieve queued and withdrawable withdrawals by staker address
curl --request GET \
  --url https://api.eigenexplorer.com/stakers/{address}/withdrawals/queued_withdrawable \
  --header 'X-API-Token: <x-api-token>'
import requests

url = "https://api.eigenexplorer.com/stakers/{address}/withdrawals/queued_withdrawable"

headers = {"X-API-Token": "<x-api-token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Token': '<x-api-token>'}};

fetch('https://api.eigenexplorer.com/stakers/{address}/withdrawals/queued_withdrawable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "withdrawalRoot": "0x9e6728ef0a8ad6009107a886047aae35bc5ed7deaa68580b0d1f8f67e3e5ed31",
      "nonce": 0,
      "stakerAddress": "0x74ede5f75247fbdb9266d2b3a7be63b3db7611dd",
      "delegatedTo": "0x0000000000000000000000000000000000000000",
      "withdrawerAddress": "0x74ede5f75247fbdb9266d2b3a7be63b3db7611dd",
      "shares": [
        {
          "strategyAddress": "0x93c4b944d05dfe6df7645a86cd2206016c51564d",
          "shares": "1000288824523326631"
        }
      ],
      "createdAtBlock": 19912470,
      "createdAt": "2024-07-07T23:53:35.000Z"
    }
  ],
  "meta": {
    "total": 30,
    "skip": 0,
    "take": 12
  }
}
{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#bad_request"
}
}
{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unauthorized"
}
}
{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#forbidden"
}
}
{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#not_found"
}
}
{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unprocessable_entity"
}
}
{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#rate_limit_exceeded"
}
}
{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#internal_server_error"
}
}

Headers

X-API-Token
string
required

API Token for authentication

Path Parameters

address
string
required

The address of the staker

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x9791fdb4e9c0495efc5a1f3f9271ef226251eb34"

Query Parameters

skip
string
default:0

The number of records to skip for pagination

Example:

0

take
string
default:12

The number of records to return for pagination

Example:

12

Response

The list of queued and withdrawable withdrawals.

data
object[]
required
meta
object
required